<?php
function elegance_widgets_init() {
	// Request Widget
	// Location: at the top of the content
	register_sidebar(array(
		'name'					=> 'Top section',
		'id' 						=> 'request-sidebar',
		'description'   => __( 'Located at the top of the content.'),
		'before_widget' => '<div id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// First section Widget
	// Location: at the first section of the content
	register_sidebar(array(
		'name'					=> 'First content section',
		'id' 						=> 'first_section',
		'description'   => __( 'Located at the first section of the content.'),
		'before_widget' => '<div id="%1$s" class="fs_widget">',
		'after_widget' => '</div>',
		'before_title' => '<h6>',
		'after_title' => '</h6>',
	));
	// Second section Widget
	// Location: at the second section of the content
	register_sidebar(array(
		'name'					=> 'Second content section',
		'id' 						=> 'second_section',
		'description'   => __( 'Located at the second section of the content.'),
		'before_widget' => '<div id="%1$s" class="ss_widget">',
		'after_widget' => '</div>',
		'before_title' => '<h6>',
		'after_title' => '</h6>',
	));
	// Third section Widget
	// Location: at the third section of the content
	register_sidebar(array(
		'name'					=> 'Third content section',
		'id' 						=> 'third_section',
		'description'   => __( 'Located at the third section of the content.'),
		'before_widget' => '<div id="%1$s" class="ts_widget">',
		'after_widget' => '</div>',
		'before_title' => '<h6>',
		'after_title' => '</h6>',
	));
	// Fourth section Widget
	// Location: at the fourth section of the content
	register_sidebar(array(
		'name'					=> 'Fourth content section',
		'id' 						=> 'fourth_section',
		'description'   => __( 'Located at the fourth section of the content.'),
		'before_widget' => '<div id="%1$s" class="frs_widget">',
		'after_widget' => '</div>',
		'before_title' => '<h6>',
		'after_title' => '</h6>',
	));
	// Sidebar Widget
	// Location: the sidebar
	register_sidebar(array(
		'name'					=> 'Sidebar',
		'id' 						=> 'main-sidebar',
		'description'   => __( 'Located at the right side of pages.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Offers Widget
	// Location: About page
	register_sidebar(array(
		'name'					=> 'Offers',
		'id' 						=> 'offers',
		'description'   => __( 'Located at the left side of About page.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	// Services Widget
	// Location: Services page
	register_sidebar(array(
		'name'					=> 'Services area',
		'id' 						=> 'services',
		'description'   => __( 'Located at the left side of Services page.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	// Contact Form Widget
	// Location: Contacts page
	register_sidebar(array(
		'name'					=> 'Contact Form',
		'id' 						=> 'contact_form',
		'description'   => __( 'Located at the left side of Contacts page.'),
		'before_widget' => '<div id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	// Address Widget
	// Location: Contacts page
	register_sidebar(array(
		'name'					=> 'Address',
		'id' 						=> 'address',
		'description'   => __( 'Located at the right side of Contacts page.'),
		'before_widget' => '<div id="%1$s" class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	// Footer Widget
	// Location: at the top of the footer, above the copyright
	register_sidebar(array(
		'name'					=> 'Footer',
		'id' 						=> 'footer-sidebar',
		'description'   => __( 'Located at the bottom of pages.'),
		'before_widget' => '<div id="%1$s" class="widget-area">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));

}
/** Register sidebars by running elegance_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'elegance_widgets_init' );
?>