<?php
/*
// =============================== My Category posts widget ======================================*/

// Register thumbnail sizes.
if ( function_exists('add_image_size') )
{
	$sizes = get_option('my_cat_post_thumb_sizes');
	if ( $sizes )
	{
		foreach ( $sizes as $id=>$size )
			add_image_size( 'cat_post_thumb_size' . $id, $size[0], $size[1], true );
	}
}

class MY_CategoryPostsWidget extends WP_Widget {

function MY_CategoryPostsWidget() {
	parent::WP_Widget(false, $name='My - Category Posts');
}

/**
 * Displays category posts widget on blog.
 */
function widget($args, $instance) {
	global $post;
	$post_old = $post; // Save the post object.
	
	extract( $args );
	$limit = apply_filters('widget_title', $instance['excerpt_length']);
	$sizes = get_option('my_cat_post_thumb_sizes');
	
  $valid_sort_orders = array('date', 'title', 'comment_count', 'random');
  if ( in_array($instance['sort_by'], $valid_sort_orders) ) {
    $sort_by = $instance['sort_by'];
    $sort_order = (bool) $instance['asc_sort_order'] ? 'ASC' : 'DESC';
  } else {
    // by default, display latest first
    $sort_by = 'date';
    $sort_order = 'DESC';
  }
	
	// Get array of post info.
  $cat_posts = new WP_Query(
    "showposts=" . $instance["num"] . 
    "&cat=" . $instance["cat"] .
    "&orderby=" . $sort_by .
    "&order=" . $sort_order
  );
	
	echo $before_widget;
	
	// Widget title
	// If title exist.
	if( $instance["title"] ) {
	echo $before_title;
		echo $instance["title"];
	echo $after_title;
    }

	// Posts list
	echo "<ul class='featured_category_posts'>\n";
	$limittext = $limit;
	$posts_counter = 0;
	while ( $cat_posts->have_posts() )
	{
		$cat_posts->the_post(); $posts_counter++;
	?>
		<li class="cat_post_item-<?php echo $posts_counter; ?> clearfix">
        
            <?php if ( $instance['show_title'] ) : ?>
			  <?php echo $instance["before_post_title"]; ?><a class="post-title" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a><?php echo $instance["after_post_title"]; ?>
			<?php endif; ?>
            <div>
			  <?php if ( $instance['comment_num'] ) : ?>
                <div class="fright">(<?php comments_number(); ?>)</div>
              <?php endif; ?>
              <?php if ( $instance['date'] ) : ?>
                <div class="post-meta">Written by <?php the_author_posts_link() ?> <time datetime="<?php the_time('Y-m-d\TH:i'); ?>"><?php the_time('l, j F Y'); ?> <?php the_time() ?></time></div>
              <?php endif; ?>
            </div>
			<?php
				if (
					function_exists('the_post_thumbnail') &&
					current_theme_supports("post-thumbnails") &&
					$instance["thumb"] &&
					has_post_thumbnail()
				) :
			?>
            <?php echo '<div class="featured-thumbnail">'; ?>
			  <?php if ( $instance['thumb_as_link'] ) : ?>
                <a href="<?php the_permalink() ?>">
              <?php endif; ?>
			<?php the_post_thumbnail( 'cat_post_thumb_size'.$this->id ); ?>
			  <?php if ( $instance['thumb_as_link'] ) : ?>
                </a>
              <?php endif; ?>
            <?php echo '</div>' ?>
			<?php endif; ?>
			<div class="post_content">
            <?php if ( $instance['excerpt'] ) : ?>
			  <?php if($limittext=="" || $limittext==0){ ?>
				  <?php if ( $instance['excerpt_as_link'] ) : ?>
                    <a href="<?php the_permalink() ?>">
                  <?php endif; ?>
                <?php the_excerpt(); ?>
				  <?php if ( $instance['excerpt_as_link'] ) : ?>
                    </a>
                  <?php endif; ?>
              <?php }else{ ?>
				  <?php if ( $instance['excerpt_as_link'] ) : ?>
                    <a href="<?php the_permalink() ?>">
                  <?php endif; ?>
                <?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,$limittext);?>
				  <?php if ( $instance['excerpt_as_link'] ) : ?>
                    </a>
                  <?php endif; ?>
              <?php } ?>
            <?php endif; ?>
            </div>
            
            <?php if ( $instance['more_link'] ) : ?>
              <a href="<?php the_permalink() ?>" class="link<?php if($instance['more_link_class']!="") { echo " "; echo $instance['more_link_class']; } ?>">
              <?php if($instance['more_link_text']==""){ ?>
              Read more
              <?php }else{ ?>
              <?php echo $instance['more_link_text']; ?>
              <?php } ?>
              </a>
            <?php endif; ?>
			
		</li>
	<?php
	}
	
	echo "</ul>\n";
	
	echo $after_widget;
	
	$post = $post_old; // Restore the post object.
}

/**
 * Form processing.
 */
function update($new_instance, $old_instance) {
	
	if ( function_exists('the_post_thumbnail') )
	{
		$sizes = get_option('my_cat_post_thumb_sizes');
		if ( !$sizes ) $sizes = array();
		$sizes[$this->id] = array($new_instance['thumb_w'], $new_instance['thumb_h']);
		update_option('my_cat_post_thumb_sizes', $sizes);
	}
	
	return $new_instance;
}

/**
 * The configuration form.
 */
function form($instance) {
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				<?php _e( 'Title' ); ?>:
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			</label>
		</p>
		
		<p>
			<label>
				<?php _e( 'Category' ); ?>:
				<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
				<?php _e('Number of posts to show'); ?>:
				<input style="text-align: center;" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" size='4' />
			</label>
    </p>

    <p>
		<label for="<?php echo $this->get_field_id("sort_by"); ?>">
        <?php _e('Sort by'); ?>:
        <select id="<?php echo $this->get_field_id("sort_by"); ?>" name="<?php echo $this->get_field_name("sort_by"); ?>">
          <option value="date"<?php selected( $instance["sort_by"], "date" ); ?>>Date</option>
          <option value="title"<?php selected( $instance["sort_by"], "title" ); ?>>Title</option>
          <option value="comment_count"<?php selected( $instance["sort_by"], "comment_count" ); ?>>Number of comments</option>
          <option value="random"<?php selected( $instance["sort_by"], "random" ); ?>>Random</option>
        </select>
			</label>
    </p>
		
	<p>
		<label for="<?php echo $this->get_field_id("asc_sort_order"); ?>">
        <input type="checkbox" class="checkbox" 
          id="<?php echo $this->get_field_id("asc_sort_order"); ?>" 
          name="<?php echo $this->get_field_name("asc_sort_order"); ?>"
          <?php checked( (bool) $instance["asc_sort_order"], true ); ?> />
				<?php _e( 'Reverse sort order (ascending)' ); ?>
			</label>
    </p>
    <p>
        <label for="<?php echo $this->get_field_id("comment_num"); ?>">
            <input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("comment_num"); ?>" name="<?php echo $this->get_field_name("comment_num"); ?>"<?php checked( (bool) $instance["comment_num"], true ); ?> />
            <?php _e( 'Show number of comments' ); ?>
        </label>
    </p>
    
    <p>
        <label for="<?php echo $this->get_field_id("date"); ?>">
            <input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("date"); ?>" name="<?php echo $this->get_field_name("date"); ?>"<?php checked( (bool) $instance["date"], true ); ?> />
            <?php _e( 'Show post author and date' ); ?>
        </label>
    </p>
        <fieldset style="border:1px solid #F1F1F1; padding:10px 10px 0; margin-bottom:1em;">
        <legend style="padding:0 5px;"><?php _e('Post title'); ?>:</legend>
		<p>
			<label for="<?php echo $this->get_field_id("show_title"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("show_title"); ?>" name="<?php echo $this->get_field_name("show_title"); ?>"<?php checked( (bool) $instance["show_title"], true ); ?> />
				<?php _e( 'Show post title' ); ?>
			</label>
		</p>
        <p>
			<label for="<?php echo $this->get_field_id("before_post_title"); ?>">
				<?php _e( 'Before title' ); ?>:
				<input class="widefat" style="width:40%" id="<?php echo $this->get_field_id("before_post_title"); ?>" name="<?php echo $this->get_field_name("before_post_title"); ?>" type="text" value="<?php echo esc_attr($instance["before_post_title"]); ?>" />
			</label>
		</p>
        <p>
			<label for="<?php echo $this->get_field_id("after_post_title"); ?>">
				<?php _e( 'After title' ); ?>:&nbsp;&nbsp;
				<input class="widefat" style="width:40%" id="<?php echo $this->get_field_id("after_post_title"); ?>" name="<?php echo $this->get_field_name("after_post_title"); ?>" type="text" value="<?php echo esc_attr($instance["after_post_title"]); ?>" />
			</label>
		</p>

        </fieldset>

        <fieldset style="border:1px solid #F1F1F1; padding:10px 10px 0; margin-bottom:1em;">
        <legend style="padding:0 5px;"><?php _e('Excerpt'); ?>:</legend>
		<p>
			<label for="<?php echo $this->get_field_id("excerpt"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("excerpt"); ?>" name="<?php echo $this->get_field_name("excerpt"); ?>"<?php checked( (bool) $instance["excerpt"], true ); ?> />
				<?php _e( 'Show post excerpt' ); ?>
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id("excerpt_length"); ?>">
				<?php _e( 'Excerpt length (words):' ); ?>
			</label>
			<input style="text-align: center;" type="text" id="<?php echo $this->get_field_id("excerpt_length"); ?>" name="<?php echo $this->get_field_name("excerpt_length"); ?>" value="<?php echo $instance["excerpt_length"]; ?>" size="3" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id("excerpt_as_link"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("excerpt_as_link"); ?>" name="<?php echo $this->get_field_name("excerpt_as_link"); ?>"<?php checked( (bool) $instance["excerpt_as_link"], true ); ?> />
				<?php _e( 'Excerpt as link' ); ?>
			</label>
		</p>
        </fieldset>

        <fieldset style="border:1px solid #F1F1F1; padding:10px 10px 0; margin-bottom:1em;">
        <legend style="padding:0 5px;"><?php _e('More link'); ?>:</legend>
		<p>
			<label for="<?php echo $this->get_field_id("more_link"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("more_link"); ?>" name="<?php echo $this->get_field_name("more_link"); ?>"<?php checked( (bool) $instance["more_link"], true ); ?> />
				<?php _e( 'Show "More link"' ); ?>
			</label>
		</p>
		
		<p>
        <label for="<?php echo $this->get_field_id("more_link_text"); ?>">
		  <?php _e( 'link text' ); ?>:
		  <input class="widefat" id="<?php echo $this->get_field_id("more_link_text"); ?>" name="<?php echo $this->get_field_name("more_link_text"); ?>" type="text" value="<?php echo esc_attr($instance["more_link_text"]); ?>" /> <?php _e( '(default: "Read more")' ); ?>
		</label>
		</p>
		<p>
        <label for="<?php echo $this->get_field_id("more_link_class"); ?>">
		  <?php _e( 'Link class' ); ?>:
		  <input class="widefat" id="<?php echo $this->get_field_id("more_link_class"); ?>" name="<?php echo $this->get_field_name("more_link_class"); ?>" type="text" value="<?php echo esc_attr($instance["more_link_class"]); ?>" /> <?php _e( '(add class to default: "link")' ); ?>
		</label>
		</p>
        </fieldset>
        <fieldset style="border:1px solid #F1F1F1; padding:10px 10px 0; margin-bottom:1em;">
        <legend style="padding:0 5px;"><?php _e('Thumbnail dimensions'); ?>:</legend>
		<?php if ( function_exists('the_post_thumbnail') && current_theme_supports("post-thumbnails") ) : ?>
		<p>
			<label for="<?php echo $this->get_field_id("thumb"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("thumb"); ?>" name="<?php echo $this->get_field_name("thumb"); ?>"<?php checked( (bool) $instance["thumb"], true ); ?> />
				<?php _e( 'Show post thumbnail' ); ?>
			</label>
		</p>
		<p>
				<label for="<?php echo $this->get_field_id("thumb_w"); ?>">
					Width: &nbsp;<input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_w"); ?>" name="<?php echo $this->get_field_name("thumb_w"); ?>" value="<?php echo $instance["thumb_w"]; ?>" />
				</label>
	    </p>
        <p>
				<label for="<?php echo $this->get_field_id("thumb_h"); ?>">
					Height: <input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_h"); ?>" name="<?php echo $this->get_field_name("thumb_h"); ?>" value="<?php echo $instance["thumb_h"]; ?>" />
				</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id("thumb_as_link"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("thumb_as_link"); ?>" name="<?php echo $this->get_field_name("thumb_as_link"); ?>"<?php checked( (bool) $instance["thumb_as_link"], true ); ?> />
				<?php _e( 'Thumbnail as link' ); ?>
			</label>
		</p>
        </fieldset>
		<?php endif; ?>

<?php

}

}


?>
